Skip to main content
Resource Center/Resource Pool/Volume Operations
GETVolume OperationsSince 0.6SynchronousAuth Required

GetVolumeQoS

GetVolumeQoS

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Query Parameters

Request Inputs

Path Parameters

  • uuidStringRequired

    The volume UUID.

Query Parameters

  • systemTagsList

    Optional.

  • userTagsList

    Optional.

Body Fields

  • forceSyncBoolean

    Optional. Whether to synchronize the data on the host.

Responses

200 OK

On success, this API returns the following response structure.

  • volumeUuidStringRequired

    The volume UUID.

  • volumeBandwidthlongRequired

    The volume bandwidth. Default value: -1.

  • volumeBandwidthReadlongRequired

    The volume read bandwidth. Default value: -1.

  • volumeBandwidthWritelongRequired

    The volume write bandwidth. Default value: -1.

  • volumeBandwidthUpthresholdlongRequired

    The volume bandwidth. Default value: -1.

  • volumeBandwidthReadUpthresholdlongRequired

    The maximum volume read bandwidth. Default value: -1.

  • volumeBandwidthWriteUpthresholdlongRequired

    The maximum volume write bandwidth. Default value: -1.

  • iopsTotalUpthresholdlongRequired

    The volume IOPS. Default value: -1. This value indicates that the volume IOPS is unlimited.

  • iopsReadUpthresholdlongRequired

    The read IOPS of a volume. Default value: -1. This value indicates that the read IOPS is unlimited.

  • iopsWriteUpthresholdlongRequired

    The write IOPS of a volume. Default value: -1. This value indicates that the write IOPS is unlimited.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

Endpoint

GET/zstack/v1/volumes/{uuid}/qos

/zstack/v1/volumes/{uuid}/qos

Operation ID

GetVolumeQoS

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/volumes/{uuid}/qos?systemTags=<systemTags>&userTags=<userTags>' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"forceSync":true}'

Response Example

200
{ "volumeUuid": "1dc9ff4cedae33eb84651468db5734ae", "volumeBandwidth": 100000.0, "volumeBandwidthRead": -1.0, "volumeBandwidthWrite": -1.0, "iopsTotal": -1.0, "iopsRead": 10000.0, "iopsWrite": 10000.0, "volumeBandwidthUpthreshold": 200000.0, "volumeBandwidthReadUpthreshold": -1.0, "volumeBandwidthWriteUpthreshold": -1.0, "iopsTotalUpthreshold": -1.0, "iopsReadUpthreshold": 20000.0, "iopsWriteUpthreshold": 15000.0 }

Change History

This API has no change history records yet.

View all change history